Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatMember

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatMember>
it.tdlight.jni.TdApi.GetChatMember

Enclosing class:
  TdApi

public static final class TdApi.GetChatMember extends TdApi.Function<TdApi.ChatMember>
Returns information about a single member of a chat.

Returns `ChatMember`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.MessageSender`
`memberId`
Member identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetChatMember()`
Returns information about a single member of a chat.
`GetChatMember(long chatId, TdApi.MessageSender memberId)`
Returns information about a single member of a chat.
`GetChatMember(DataInput input)`
Returns information about a single member of a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### memberId

public TdApi.MessageSender memberId
Member identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetChatMember

public GetChatMember()
Returns information about a single member of a chat.

Returns `ChatMember`

### GetChatMember

public GetChatMember(long chatId, TdApi.MessageSender memberId)
Returns information about a single member of a chat.

Returns `ChatMember`

Parameters:
  `chatId` - long Chat identifier.
  `memberId` - MessageSender Member identifier.

### GetChatMember

public GetChatMember(DataInput input) throws IOException
Returns information about a single member of a chat.

Returns `ChatMember`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`